<?php
/*
Copyright (C) 2007 Mercier Benjamin

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA. 
*/

if ( VerifPOST("login", "#^[a-z0-9]+$#i", 3, 9) == "ChaineValide" )
	{
	if ( VerifPOST("pass", "#^[a-z0-9]+$#i", 3, 25) == "ChaineValide" )
		{
		$VerifLogin = $MySql->Select ("*", "utilisateur", "Utilisateur='".strtolower($_POST['login'])."'", "", "", "", "");
		if ( $VerifLogin != FALSE )
			{
			if ( $VerifLogin[0]["Password"] == md5(md5($_POST['pass'])) )
				{
				
				$_SESSION['Utilisateur'] = $VerifLogin[0]["Utilisateur"];
				$_SESSION['Hash'] = $VerifLogin[0]["Password"];
				Redirect ('Page.html');
				}
			else
				{
				Redirect ('http://www.kelio.org#Mauvais_Password');
				}
			}
		else
			{
			Redirect ('http://www.kelio.org#Login_Inexistant');
			}			
		}
	else
		{
		Redirect ('http://www.kelio.org#Syntaxe_Incorrecte');
		}
	}
else
	{
	Redirect ('http://www.kelio.org#Syntaxe_Incorrecte');
	}
	
?>